Skip to content

Xiaohongshu Pgy APIs - Fans Overall New History (V1)

prod-global
GET
/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1

Retrieve historical fans growth data.

Parameters

NameInTypeRequiredDescription
tokenquerystringYesUser authentication token.
userIdquerystringYesKOL's user ID.
dateTypequerystringNoTime range for data.

Available Values:
- DAY_30: Last 30 days
- DAY_90: Last 90 days
increaseTypequerystringNoType of growth data.

Available Values:
- FANS_TOTAL: Total fans
- FANS_INCREASE: New fans increase

Code Samples

💡 Environment Note

Default samples use https://api.justoneapi.com (prod-global). For users in Mainland China, it is recommended to replace it with http://47.117.133.51:30015 (prod-cn) for better performance. See Environment Guide.

bash
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE"
text
I want to use the "Fans Overall New History (V1)" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/xiaohongshu-pgy-apis/fans-overall-new-history-v1-en.json

Parameters:
- token (query): User authentication token. (Required)
- userId (query): KOL's user ID. (Required)
- dateType (query): Time range for data.

Available Values:
- `DAY_30`: Last 30 days
- `DAY_90`: Last 90 days
- increaseType (query): Type of growth data.

Available Values:
- `FANS_TOTAL`: Total fans
- `FANS_INCREASE`: New fans increase

Return format: JSON

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance

Please help me write a script in my preferred programming language to call this API and handle the response.
python
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE"
response = requests.get(url)
print(response.json())
js
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/data/userId/fans_overall_new_history/v1?token=YOUR_API_KEY&userId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

json
{
  "code": 0,
  "data": {
    "fansNumInc": 3941,
    "fansNumIncRate": 0.0395,
    "list": [
      {
        "num": 99743,
        "dateKey": "2026-02-07"
      },
      {
        "num": 99786,
        "dateKey": "2026-02-08"
      },
      {
        "num": 99823,
        "dateKey": "2026-02-09"
      },
      {
        "num": 99872,
        "dateKey": "2026-02-10"
      },
      {
        "num": 99914,
        "dateKey": "2026-02-11"
      },
      {
        "num": 99964,
        "dateKey": "2026-02-12"
      },
      {
        "num": 100011,
        "dateKey": "2026-02-13"
      },
      {
        "num": 100092,
        "dateKey": "2026-02-14"
      },
      {
        "num": 100206,
        "dateKey": "2026-02-15"
      },
      {
        "num": 100316,
        "dateKey": "2026-02-16"
      },
      {
        "num": 100503,
        "dateKey": "2026-02-17"
      },
      {
        "num": 100716,
        "dateKey": "2026-02-18"
      },
      {
        "num": 100846,
        "dateKey": "2026-02-19"
      },
      {
        "num": 101032,
        "dateKey": "2026-02-20"
      },
      {
        "num": 101642,
        "dateKey": "2026-02-21"
      },
      {
        "num": 101904,
        "dateKey": "2026-02-22"
      },
      {
        "num": 102136,
        "dateKey": "2026-02-23"
      },
      {
        "num": 102375,
        "dateKey": "2026-02-24"
      },
      {
        "num": 102582,
        "dateKey": "2026-02-25"
      },
      {
        "num": 102854,
        "dateKey": "2026-02-26"
      },
      {
        "num": 103076,
        "dateKey": "2026-02-27"
      },
      {
        "num": 103185,
        "dateKey": "2026-02-28"
      },
      {
        "num": 103282,
        "dateKey": "2026-03-01"
      },
      {
        "num": 103357,
        "dateKey": "2026-03-02"
      },
      {
        "num": 103415,
        "dateKey": "2026-03-03"
      },
      {
        "num": 103475,
        "dateKey": "2026-03-04"
      },
      {
        "num": 103505,
        "dateKey": "2026-03-05"
      },
      {
        "num": 103527,
        "dateKey": "2026-03-06"
      },
      {
        "num": 103590,
        "dateKey": "2026-03-07"
      },
      {
        "num": 103684,
        "dateKey": "2026-03-08"
      }
    ]
  }
}

💡 Note: For list data, the example shows only 1-2 items for simplicity. The actual count depends on the API response.